Subject: Authentication Key length

From: Ami Hauptman <[email-masked]>
Date: Tue, 22 May 2001 10:53:47 +0200

Hi, all.

I found something which seems like a conflicting definition regarding the length of the authentication key:

According to RFC 2787 which defines the vrrpOperAuthKey,  it should be 16 octets. On the other hand, according to RFC 2338, section 5.1, it should by 8 octets.

Could anyone clarify this mystery?

---------Ami H.

---

From: Jerome Etienne <[email-masked]>
Date: Tue, 22 May 2001 22:41:33 -0400

On Tue, May 22, 2001 at 10:53:47AM +0200, Ami Hauptman wrote:
> According to RFC 2787 which defines the vrrpOperAuthKey,  it should 
> be 16 octets. On the other hand, according to RFC 2338, section 5.1, 
> it should by 8 octets.
> 

i would say the key is at most 8 octets because it is inspired (rfc2338.5.3.10)
from the ospf one which is 8-octet (rfc2328.d.2)